package com.swarmcast.fec.io;

/**
 * This event signifies that a new packet entry has been added.
 */
public class PacketEntryAddedEvent extends FECIOEvent {

    int packetIndex;

    public PacketEntryAddedEvent(Object source, int packetIndex) {
	super(source);
        this.packetIndex = packetIndex;
    }

    public int getPacketIndex() {
        return packetIndex;
    }
}
	
