package com.swarmcast.fec.io;

import java.io.IOException;

public class PacketNotFoundException extends IOException {
    
    int blockNum, stripeNum;

    public PacketNotFoundException(int blockNum, int stripeNum) {
        super();

        this.blockNum = blockNum;
        this.stripeNum = stripeNum;
    }

    public PacketNotFoundException(String msg, int blockNum, int stripeNum) {
        super(msg);

        this.blockNum = blockNum;
        this.stripeNum = stripeNum;
    }

    public int getBlockNum() {
        return blockNum;
    }

    public int getStripeNum() {
        return stripeNum;
    }
}
